Create Sensor Registration Token

Create Sensor Registration Token
Generate a token for sensor registration

Allows generating a token with manifest info to register a sensor for a particular sensor group. Note: The minimum passphrase length for token is 15 characters for sensors. A token will be valid for only 30 minutes as an additional security measure.

Request
URI
POST
https://{api_host}/sensors/registration-tokens
COPY
Request Body

Information for generating the token.

SensorRegistrationTokenInfo of type(s) application/json
Required  
This request body class requires all of the following: Token , InlineSensorRegistrationTokenInfo1
{
    "display_name": "sensor",
    "passphrase": "xxxxx",
    "allowed_instance_count": 1,
    "description": "Token for ndr sensor"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorRegistrationTokenInfo of type(s) application/json
This response body class contains all of the following: Token , InlineSensorRegistrationTokenInfo1
{
    "_create_time": 1778475285054,
    "_create_user": "admin",
    "_last_modified_time": 1778475285054,
    "description": "Token for ndr sensor",
    "display_name": "sensor",
    "id": "366a0c3f-6a06-4c46-8de1-476ec7858c64",
    "allowed_instance_count": 1,
    "passphrase": "",
    "expiration": 1778477083233,
    "number_available": 1,
    "registration_manifest": "xxxxx",
    "status": "AVAILABLE",
    "usage_count": 0
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-lic"]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sensors/registration-tokens